# Bitbake's default "manifest" file contains only a list of
# packages. We'd like a list of actual files so we can verify that
# we're not adding unnecessary stuff. Since the term "manifest" has
# already been taken, let's call this the "filelist".

# ROOTFS_POSTPROCESS is too early since debug symbols are still
# there. This appears to be late enough.
IMAGE_PREPROCESS_COMMAND += " generate_file_list ; "

IMAGE_FILELIST = "${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.filelist"
IMAGE_SIZELIST = "${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.sizelist"

generate_file_list() {
    (cd ${IMAGE_ROOTFS} && find . | sort) > ${IMAGE_FILELIST}
    (cd ${IMAGE_ROOTFS} && find . -type f -printf "%k\t%p\n" | sort --numeric --reverse) > ${IMAGE_SIZELIST}
}
