PV = "5.4+20160504T102800+5ec8980+20160511T161128+bb53079-bs"
SRC_URI = "http://should-already-by-in-dl-dir/qtwebengine-5.4+20160504T102800+5ec8980+20160511T161128+bb53079-bs.tar.gz"
SRC_URI[md5sum] = "41e7922f132c9e668ff1cfe791867815"
SRC_URI[sha256sum] = "1184fd7982e76bfe8dd859f30d867b228b415a661f21ea79f029f3f4473a634b"
inherit nfsquick

require recipes-qt/qt5/qtwebengine.inc

DEPENDS += "\
    boost \
    expat \
    harfbuzz \
    icu \
    jpeg \
    libpng \
    libusb \
    libxml2 \
    libxslt \
    fontconfig \
    freetype \
    lttng-ust \
    lttng-ust-gen-tp-native \
    nss \
    "

WK_DEBUG ?= "0"
WK_DEBUG_SUFFIX = "${@base_conditional('WK_DEBUG', '1', '-wkd', '', d)}"

# We build in the same way for multiple machines but differ based on
# BS_TIMEDOCTOR so we must tweak PACKAGE_ARCH accordingly in order to
# generate separate packages. Without this PACKAGE_ARCH would just be
# ${TUNE_PKGARCH} so we need to append to that.
PACKAGE_ARCH = "${TUNE_PKGARCH}${@base_conditional('BS_TIMEDOCTOR', '1', '-td', '', d)}"

export BS_LTTNG
EXTRA_QMAKEVARS_PRE += "EXTRA_GYP="-Denable_app_list=0 -Duse_libjpeg_turbo=0 -Duse_system_libjpeg=1 -Dsafe_browsing=0 \
                -Ddisable_fatal_linker_warnings=1 \
                ${@base_contains('DISTRO_FEATURES', 'ld-is-gold', '-Dlinux_use_gold_binary=1', '-Dlinux_use_gold_binary=0', d)} \
                ${@base_contains('DISTRO_FEATURES', 'ld-is-gold', '-Dlinux_use_gold_flags=1', '-Dlinux_use_gold_flags=0', d)} \
		        -Dinput_speech=0 -Dnotifications=0 -Denable_google_now=0 -Denable_printing=0 \
	     		-Denable_spellcheck=0 -Denable_background=0 -Denable_task_manager=0 \
	     		-Denable_one_click_signin=0 -Denable_pre_sync_backup=0 \
	            -Dremoting=0 -Duse_system_fontconfig=1 -Duse_lttng=${BS_LTTNG} \
                -Ddcheck_always_on=${BS_CHROMIUM_DCHECK_ALWAYS_ON}  \
                -Denable_webrtc=${BS_CHROMIUM_ENABLE_WEBRTC}  "\
                ${@base_conditional('WK_DEBUG', '1', '-r CONFIG+=debug', '-r CONFIG+=release', d)} "

UNWINDING = ""


LDFLAGS += "-Wl,-Map,link.map"
CXXFLAGS += "-std=gnu++11"

do_unbundle() {
    cd ${S}/src/3rdparty
    ./chromium/build/linux/unbundle/replace_gyp_files.py -Duse_system_expat=1 -Duse_system_harfbuzz=1 -Duse_system_icu=1 -Duse_system_libjpeg=1 -Duse_system_libpng=1 -Duse_system_libusb=1 -Duse_system_libxml=1 -Duse_system_libxslt=1
    # -Duse_system_openssl=1 doesn't work (SSL_MODE_HANDSHAKE_CUTTHROUGH etc missing)
    # -Duse_system_zlib=1 doesn't work
    # -Duse_system_sqlite=1 doesn't work
}

addtask unbundle after do_patch before do_configure

# Be careful with this one, do_install_append does rm -rf on it.
QTWEBENGINE_REMOVE_PATH = "${D}${datadir}/qt5/translations"

do_install_append() {
	install -m 0644 ${S}/src/3rdparty/chromium/brcm/media/media_player/brightsign/brightsign_media_glue.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BrightsignJavascriptGlueFactory.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	install -m 0644 ${S}/src/3rdparty/chromium/third_party/WebKit/Source/modules/brightscript/BSConfig.h ${D}${includedir}/qt5/QtWebEngineWidgets/
	rm -rf ${QTWEBENGINE_REMOVE_PATH}
}

do_compile_prepend() {
    if [ "${BS_LTTNG}" = "1" ] && [ -d "${S}/src/3rdparty/chromium/base/trace" ]; then
       (
          cd ${S}/src/3rdparty/chromium/base/trace;
          if [ -f "chromium_tp.tp" ]; then
             lttng-gen-tp chromium_tp.tp -o chromium_tp.c -o chromium_tp.h
          fi
       )
    fi
}

