DESCRIPTION = "C++ bindings for dbus"
LICENSE = "LGPLv2.1+"
SECTION = "libs"

LIC_FILES_CHKSUM = "file://COPYING;md5=fbc093901857fcd118f065f900982c24"

inherit autotools pkgconfig lib_package

BBCLASSEXTEND = "native"

# This is a hack.  The code in libdbus-c++/tools uses ${CXX_FOR_BUILD} if it's
# set, in the (correct) expectation that this will be the compiler for the build
# host.  However, if we let it do that then it will blow up because it needs to
# be able to find a copy of libdbus-c++ that was linked against the build host.
# 
# But, if we set this to the same as ${CXX} then it will build the stuff in tools/ for
# the target instead.  This is useless but benign, since we can get the appropriate
# binaries to run on the build host from dbus-c++-native.
CXX_FOR_BUILD = "${CXX}"

EXTRA_OECONF = "--disable-ecore --disable-tests --disable-glib --disable-doxygen-docs"

# We want contemporary C++! (eg: to use std::function)
CXXFLAGS += "-std=gnu++11"
BUILD_CXXFLAGS += "-std=gnu++11"

DEPENDS = "dbus expat dbus-c++-native"

do_compile_prepend() {
    if [ "${TARGET_ARCH}" != "${BUILD_ARCH}" ]; then
        find ${S} -name "Makefile.am" | xargs sed -i -e 's,$(top_builddir)/tools/dbusxx-xml2cpp,dbusxx-xml2cpp,'
    fi
}
