SUMMARY = "Library to handle input devices in Wayland compositors"
HOMEPAGE = "http://www.freedesktop.org/wiki/Software/libinput/"
SECTION = "libs"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://COPYING;md5=673e626420c7f859fbe2be3a9c13632d"

DEPENDS = "libevdev udev mtdev"

SRC_URI = "http://www.freedesktop.org/software/${BPN}/${BP}.tar.xz"
SRC_URI[md5sum] = "cc1a8c710a90264d1464c81d657064d2"
SRC_URI[sha256sum] = "6e0ce9dd9ff04e9ac382dffb7fa332b94f093227a197a9c8189e87de6d88b55a"

inherit autotools-brokensep pkgconfig

PACKAGES =+ "${PN}-tools"

FILES_${PN}-tools = "${bindir}/event-debug"

do_install_append () {
    # Grab the test tool
    mkdir -p ${D}${bindir}

    # Copy to the standard library location
    install -m 0755 ${S}/tools/event-debug ${D}${bindir}
}
